> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/grids/gm-user-grid.md).

# GM - User Grid

(gmpkg:UserDataGridComponent)

## **Documentation**

GridMate's User Grid component presents a powerful solution, providing users with customizable grids packed with robust features:

* Efficient data filtering and sorting,
* Record grouping,
* Layout customization,
* Actions on multiple records,
* Formula field creation,
* Inline Editing
* Import/Export
* Dynamic Interactions
* ...and much more

This tool optimizes data management and productivity, empowering users to efficiently organize and manipulate their Standard/Custom Object data through easy configuration.

**Use case:** Display a grid of opportunities to maintain easily the pipeline for a sales rep. See [User Grid](https://docs.gridmate.io/product-tour/grids/user-grid.md) in the Product Tour.

## **Specification**

<table data-full-width="true"><thead><tr><th width="175.33333333333331">Property</th><th width="162">Type</th><th width="541.2516276041667">Description</th></tr></thead><tbody><tr><td>recordId</td><td>String</td><td>recordId to use. Keep this empty if you want to use the current record</td></tr><tr><td>UserGrid Id or Developer Name*</td><td>String</td><td>GM - UserGrid Id or Developer Name to use.</td></tr><tr><td>Inline Label</td><td>String</td><td>Inline label. Override the label instead of using the label of the user grid.</td></tr><tr><td>Inline Filter</td><td>String</td><td><p>Json string to define inline filter criteria. This filter will be added on the top of what is defined on the grid.</p><p>See <a href="https://docs.gridmate.io/package-reference/components-library/grids/gm-relatedlist-grid.md">GM - RelatedList Grid</a> <strong>Filter</strong> property for more details.</p></td></tr><tr><td>Grid Height</td><td>Integer</td><td><p>Set the grid height. Set this property if you want to control the height and show up components after the grid.</p><p>The user has to scroll vertically to see more records.</p><p>If the value is set 9999, The grid will use the remaining space on the page even if the user resizes the window. This behavior is relevant to build a responsive app page.</p></td></tr><tr><td>Split Width</td><td>Integer</td><td>Set the split view width. Applicable only if the split view is enabled. The default value is 50.</td></tr><tr><td>Density</td><td>String</td><td>Grid density : <strong>comfy</strong> | <strong>compact</strong>. Currently the density is applied only to the toolbar. The compact layout is more for inline Grids. The default value is comfy.</td></tr><tr><td>Disable Refresh View</td><td>Boolean</td><td>Check this option if you want to disable the view refresh after an update. When checked, the grid reloads itself instead of refreshing the page, and the <strong>Config. Wiz</strong>, <strong>SOQL Preview</strong> and <strong>Inline Config.</strong> toolbar actions are hidden.</td></tr><tr><td>Enable Dynamic Interactions (Beta)</td><td>Boolean</td><td>Check this option if you want to enable dynamic interactions.</td></tr><tr><td>Enable Toggle Fullscreen</td><td>Boolean</td><td>Check this option if you want to enable toggle fullscreen. The default value is false.</td></tr><tr><td>Disable Navigation</td><td>Boolean</td><td>Hide the navigation to the grid.</td></tr><tr><td>Auto Select 1st Row</td><td>Boolean</td><td>Check this option if you want to select the first row automatically. Applicable only if dynamic interaction or split view is enabled</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="UserDataGridComponent.design" %}

```xml
<design:component label="GM - User Grid">
    <design:attribute name="recordId" label="recordId"
                      description="recordId to use. Keep this empty if you want to use the current record"/>

    <design:attribute name="userGridId" label="UserGrid Id or Developer Name"
                      description="GM - UserGrid Id or Developer Name to use"/>

    <design:attribute name="displayLabel" label="Inline Label"
                      description="Inline label. Override the label instead of using the label of the user grid"/>

    <design:attribute name="adminFilter" label="Inline Filter"
                      description="Json string to define inline filter criteria"/>

    <design:attribute name="height" label="Grid Height"
                      description="Set the grid height"/>

    <design:attribute name="splitWidth" label="Split Width"
                      description="Set the split view width. Applicable only the split view is enabled"/>

    <design:attribute name="density" label="Density"
                      description="Grid density : comfy | compact"/>

    <design:attribute name="inline" label="Disable Refresh View"
                      description="Check this option if you want to disable the view refresh after an update"/>

    <design:attribute name="canInteract" label="Enable Dynamic Interactions(Beta)"
                      description="Check this option if you want to enable dynamic interactions"/>

    <design:attribute name="canToggleFullscreen" label="Enable Toggle Fullscreen"
                      description="Check this option if you want to enable toggle fullscreen"/>

    <design:attribute name="noNavigation" label="Disable Navigation"
                      description="Hide the navigation to the grid"/>

    <design:attribute name="selectFirstRow" label="Auto Select 1st Row"
                      description="Check this option if you want to select the first row automatically. Applicable only if dynamic interaction or split view is enabled"/>
</design:component>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/grids/gm-user-grid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
